Bug 27240 - Export basket: remove spaces and don't export links
Summary: Export basket: remove spaces and don't export links
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Didier Gautheron
QA Contact: Testopia
URL:
Keywords:
Depends on: 12502
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-15 13:38 UTC by Didier Gautheron
Modified: 2021-05-22 14:41 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
A simple template cleanup to improve code legibility and remove superfluous whitespace when exporting data using the table features. Also removes links from the exported data.
Version(s) released in:
21.05.00


Attachments
Bug 2740: Basket export cleanup. (7.58 KB, patch)
2020-12-15 13:43 UTC, Didier Gautheron
Details | Diff | Splinter Review
Bug 2740: Basket export cleanup. (7.73 KB, patch)
2021-04-02 08:18 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 27240: Basket export cleanup. (7.79 KB, patch)
2021-04-18 09:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Didier Gautheron 2020-12-15 13:38:03 UTC
Hi,

HTML output is fine but there's a lot of spaces in exported file, remove some.
Moreover 12502 add a noExport attribute, use it in basket.tt
 
Test plan:
1 - Create a basket.
2 - Export it in excel.
3 - There's a lot of spaces in Order column and irrelevant 'Add internal note'
4 - Apply patch
5 - Export file.
6 - It's tidier, fewer spaces and no Add/edit note.
Comment 1 Didier Gautheron 2020-12-15 13:43:54 UTC
Created attachment 114408 [details] [review]
Bug 2740: Basket export cleanup.

Remove spaces and irrelevant links.

Test plan:
1 - Create a basket
2 - Export it in excel
3 - There's a lot of spaces in Order column and irrelevant 'Add internal note'
4 - Apply patch
5 - Export file
6 - It's tidier, fewer spaces and no useless Add/edit note links
Comment 2 Séverine Queune 2021-04-02 08:18:07 UTC
Created attachment 119105 [details] [review]
Bug 2740: Basket export cleanup.

Remove spaces and irrelevant links.

Test plan:
1 - Create a basket
2 - Export it in excel
3 - There's a lot of spaces in Order column and irrelevant 'Add internal note'
4 - Apply patch
5 - Export file
6 - It's tidier, fewer spaces and no useless Add/edit note links

https://bugs.koha-community.org/show_bug.cgi?id=27240
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 3 Séverine Queune 2021-04-02 08:20:01 UTC
No more useless notes informations, and less spaces so works fine for me.
I just noticed a typo in the patch number (2740 instead of 27240), but I don't know how to correct that.
Thank you Didier !
Comment 4 Katrin Fischer 2021-04-18 09:54:32 UTC
Created attachment 119825 [details] [review]
Bug 27240: Basket export cleanup.

Remove spaces and irrelevant links.

Test plan:
1 - Create a basket
2 - Export it in excel
3 - There's a lot of spaces in Order column and irrelevant 'Add internal note'
4 - Apply patch
5 - Export file
6 - It's tidier, fewer spaces and no useless Add/edit note links

https://bugs.koha-community.org/show_bug.cgi?id=27240
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-04-18 09:55:34 UTC
(In reply to Séverine Queune from comment #3)
> I just noticed a typo in the patch number (2740 instead of 27240), but I
> don't know how to correct that.

Thanks for noting it - I fixed the bug number in QA :)
Comment 6 Jonathan Druart 2021-04-21 12:56:49 UTC
There are much more to tidy, but let's call it a first step.
Comment 7 Jonathan Druart 2021-04-21 12:58:03 UTC
noExport must be on the th, like: <th class="noExport">Actions</th>
Comment 8 Katrin Fischer 2021-04-21 20:22:04 UTC
No, it's correct - we only want to add the link here, not the column!
Comment 9 Katrin Fischer 2021-04-21 20:22:19 UTC
(In reply to Katrin Fischer from comment #8)
> No, it's correct - we only want to add the link here, not the column!

add should read 'hide'!
Comment 10 Jonathan Druart 2021-04-22 12:39:50 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-04-29 14:22:59 UTC
Enhancement not pushed to 20.11.x